Page MenuHomePhabricator

Special pages should check permissions and read-only mode before showing a form
Closed, ResolvedPublic

Description

Special pages that are designed to modify the database should check edit permissions and read only mode before showing a form. If editing is not possible for some reason, an appropriate message should be shown instead of the input form.


Version: unspecified
Severity: normal
Whiteboard: u=dev c=backend p=0 papercut

Details

Reference
bz43024

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 1:08 AM
bzimport set Reference to bz43024.
bzimport added a subscriber: Unknown Object (MLST).
daniel created this task.Dec 12 2012, 5:29 PM

To clarify: at the moment, permissions are checked after the user submits the form. That is frustrating and confusing.

  • Bug 44509 has been marked as a duplicate of this bug. ***
  • Bug 41882 has been marked as a duplicate of this bug. ***
Lydia_Pintscher removed a subscriber: Unknown Object (MLST).
Lydia_Pintscher removed a subscriber: Unknown Object (MLST).
Lydia_Pintscher lowered the priority of this task from Normal to Low.Dec 27 2014, 3:13 PM
Lydia_Pintscher set Security to None.
Lydia_Pintscher removed a subscriber: Wikidata-bugs.

Is that still the case? When doing https://gerrit.wikimedia.org/r/#/c/194532/, I got the feeling that the special pages would not show up without correct permissions.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 17 2015, 11:35 AM
Lydia_Pintscher closed this task as Resolved.Apr 23 2017, 5:25 PM
Lydia_Pintscher claimed this task.
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptApr 23 2017, 5:25 PM